### Method

# AppStreamCompose Unit set_contents

#### Declaration [src]

    void
    asc_unit_set_contents (
      AscUnit* unit,
      GPtrArray* contents
    )

#### Description [src]

Set list of files this unit contains.

#### Parameters

`contents`

  Type: An array of `utf8`

  A list of files contained by this unit.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.